Skip to main content
POST
Seek Haptic Script Offset

Authorizations

Authorization
string
header
required

Short-lived session token obtained from POST /api/sessions/v2. Send it as Authorization: Bearer <session_token> together with the X-Device-Key: <device-key> header identifying the target device.

Headers

X-Device-Key
string
required

Device Key (4 BIP39 words) identifying the target device. Obtain it from POST /device/otp/confirm/v2.

Pattern: ^[a-z]+-[a-z]+-[a-z]+-[a-z]+$
Example:

"orbit-ranch-silver-tomato"

Body

application/json

Jump to a position in the script.

time
integer
required

Position in the script to jump to, in milliseconds from its start.

Example:

30000

server_time_ms
integer

The server time in milliseconds according to the client.

Example:

123456789

Response

200

OK